.section-instagram {
  margin-top: 4rem;

  // Titulo e botão
  > .text {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    margin-bottom: 4rem;

    > .instagram-title {
      display: flex;
      align-items: center;
      gap: 1rem;
    }

    > .instagram-title .icon,
    > .instagram-title .image {
      width: 3.2rem;
      height: 3.2rem;
    }

    > .instagram-title .title {
      font-size: var(--font-size-big);
      color: var(--font-color-title);
      margin-bottom: 0;
    }
    
  }

  > .posts {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    @include media('sm') { grid-template-columns: repeat(6, 1fr) }
  }

    > .posts .post {
    position: relative;
  }

  > .posts .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    opacity: 0;
    transition: var(--transition);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 1;

    @include media("md") {
      display: flex;
    }
  }

  > .posts svg {
    width: 4.8rem;
    height: 4.8rem;
    color: var(--white);
  }

  > .posts .post:hover .overlay {
    opacity: 1;
  }
}

